package com.template.services;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.evaluate.student.SmartSubjectRule;
import com.template.model.result.PageUtils;

import java.util.List;

/**
 * <p>
 * 平分项管理 服务类
 * </p>
 *
 * @author ceshi
 * @since 2024-01-08
 */
public interface SmartSubjectRuleService extends IService<SmartSubjectRule> {

    public int insertSmartSubjectRule(SmartSubjectRule sa);

    public int updateSmartSubjectRule(SmartSubjectRule sa);

    public PageUtils<SmartSubjectRule> queryPageSmartSubjectRule(int currentPage, int pageCount, QueryWrapper<SmartSubjectRule> queryWrapper);

    public int deleteSmartSubjectRuleById(int id);

    public SmartSubjectRule getSmartSubjectRuleById(int id);

    public List<SmartSubjectRule> getSmartSubjectRuleList();

    public List<SmartSubjectRule> getSmartSubjectRuleByKey(QueryWrapper<SmartSubjectRule> queryWrapper);

}
